package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.dispatch.model.UserResource;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 员工资源对应表 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-10
 */
public interface UserResourceService extends IService<UserResource> {

    List<UserResource> findEnableList(String site, String resource, String user);

    List<UserResource> findAll(String resource,String user);

    void saveAll(HashMap<String,Object> map);
}