package com.foreverwin.mesnac.integration.controller;

import com.foreverwin.mesnac.common.util.SendMail;
import com.foreverwin.mesnac.common.util.SendWeChat;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class TestController {



    private SendMail sendMail;
    private SendWeChat sendWeChat;

    @GetMapping()
    public R test(String to, String subject, String content) {
        sendMail.sendText(to, subject, content);
        return R.ok(content);
    }

    @GetMapping("/sendWeChat")
    public R sendWeChat(String toUser, String content) {
        sendWeChat.sendMessage(toUser, content);
        return R.ok(content);
    }
}
