package com.foreverwin.mesnac.dispatch.mapper;

import com.foreverwin.mesnac.dispatch.model.UserResource;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 员工资源对应表 Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-10
 */
@Repository
public interface UserResourceMapper extends BaseMapper<UserResource> {

    List<UserResource> findEnableList(@Param("site") String site, @Param("resource") String resource, @Param("user") String user);

}